%global python_version %(%{__python} -c "import sys; print sys.version[:3]" || echo none)
%{!?python_sitelib: %global python_sitelib %{_prefix}/lib/python%{python_version}/site-packages}

Name:		svnmailer
Version:	1.1.0
Release:	0.4.20050925svn1373%{?dist}
Summary:	Feature rich subversion commit notification tool
Group:		Development/Tools
License:	ASL 2.0
URL:		http://opensource.perlig.de/svnmailer/
Source0:	http://storage.perlig.de/svnmailer/svnmailer-1.1.0-dev-r1373.tar.bz2
Patch0:		svnmailer-1.1.0-python2.5.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	python2-devel >= 2.3, subversion >= 1.0.0
Requires:	subversion >= 1.0.0
# Python dependencies keep changing
%if "%{python_version}" == "2.3"
Requires:	python-abi = 2.3
%endif

%description
Svnmailer is a tool to post subversion repository commit information by mail,
news or XML (to a CIA tracker for example).

%package doc
Summary:	Developer and API documentation for svnmailer
Group:		Development/Tools

%description doc
This package contains developer information and API documentation for the
svnmailer tool.

%prep
%setup -q -n %{name}-%{version}-dev-r1373

# python 2.5 compatibility patch based on one from gentoo (http://bugs.gentoo.org/209857)
%patch0 -p0

# Fix script locations for samples before setup.py mangles them
find sample/hooks -type f | xargs sed -i -e 's|@@SCRIPTS@@|%{_bindir}|'

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot} --install-data %{_datadir}

# See if there's any egg-info
if [ -f %{buildroot}%{python_sitelib}/svnmailer*.egg-info ]; then
	echo %{buildroot}%{python_sitelib}/svnmailer*.egg-info |
		sed -e 's|^%{buildroot}||'
fi > egg-info
 
%clean
rm -rf %{buildroot}

%files -f egg-info
%defattr(-,root,root,-)
%doc README CHANGES CREDITS LICENSE NOTICE
%{_bindir}/svn-mailer
%{python_sitelib}/svnmailer/
%{_mandir}/man1/svn-mailer.1*

%files doc
%defattr(-,root,root,-)
%{_docdir}/svnmailer/

%changelog
* Thu Aug  4 2011 Paul Howarth <paul@city-fan.org> 1.1.0-0.4.20050925svn1373
- Fix "ImportError: cannot import name exceptions"
  (http://bugs.gentoo.org/209857)
- BR: python2-devel rather than just python-devel
- Nobody else likes macros for commands

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> 1.1.0-0.3.20050925svn1373
- Rebuild for python 2.7 in Rawhide

* Tue Jul  7 2009 Paul Howarth <paul@city-fan.org> 1.1.0-0.2.20050925svn1373
- Fix release number to satisfy current Fedora snapshot naming guideline
- Fix license tag to satisfy current Fedora packaging guideline
- Define RPM macros in global scope
- Fix up python dependencies to work all the way back to EL-4
- Fix up sample hook scripts to avoid buildroot contamination
- Cater for egg-info if present

* Thu Oct  5 2006 Paul Howarth <paul@city-fan.org> 1.1.0-0.1.r1373
- Update to 1.1.0-dev-r1373
- Don't bother setting compiler-optimization flags for a noarch package
- Simplify %%files list
- Package manpage

* Sun Sep 3 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.8-2
- Rebuild
- No longer ghost .pyo files.

* Mon May 8 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.8-1
- Initial import into Fedora Extras
- Update to new upstream version.

* Tue Feb 28 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.7-1
- Update to new upstream version.

* Wed Feb 8 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.6-3
- Use newer python template from fedora-rpmdevtools
- Corrected license entry
- Split off API / dev docs into subpackage

* Tue Feb 7 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.6-2
- Respun spec following comments from roozbeh

* Sun Feb 5 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.0.6-1
- Initial review package for Fedora Extras

